Bug 69611 - galeon not in GNOME application menus
galeon not in GNOME application menus
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: galeon (Show other bugs)
limbo
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-23 15:10 EDT by Paul Jenner
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-24 18:11:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Jenner 2002-07-23 15:10:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020712

Description of problem:
There is no entry for galeon in the GNOME application menus.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Look around the GNOME application menus
2. Mozilla is there under "Internet" but galeon is not on any menu that I can find


Expected Results:  galeon should be in the Internet menu with Mozilla

Additional info:

/usr/share/gnome/apps/Internet/galeon.desktop exists and looks OK. However it is
not displayed in the menu I see (default GNOME set-up I believe).
Comment 1 Havoc Pennington 2002-07-24 10:09:53 EDT
galeon needs to be in /usr/share/applications with 
Categories including X-Red-Hat-Extra;Network;Application;

then it should show up.
Comment 2 Paul Jenner 2002-07-24 16:36:34 EDT
Initially makes no difference.  Tried:

1) cp -p /usr/share/gnome/apps/Internet/galeon.desktop
/usr/share/applications/galeon.desktop
2) echo "Categories=X-Red-Hat-Extra;Network;Application;" >>
/usr/share/applications/galeon.desktop
3) logout then back in to Gnome in case required for menu refresh

Still galeon does not appear.

I should also have noted earlier that other desktop files in
/usr/share/gnome/apps (e.g. /usr/share/gnome/apps/Multimedia/ogle.desktop) do
appear as before.

I would put it down to a problem at my end (that I'll still work to solve) but
the desktop file for galeon is shipped with the Limbo galeon-1.2.5-5 package so
this is a valid distro bug.
Comment 3 Havoc Pennington 2002-07-24 18:11:40 EDT
With my current test machine Galeon appears in All Applications -> Internet.
So I believe this is fixed in Rawhide.
Comment 4 Jay Turner 2002-07-29 09:30:38 EDT
Indeed, with the Limbo-re0726.1 tree, galeon is appearing in the 'All
Application/Internet' menu.

Note You need to log in before you can comment on or make changes to this bug.